# Copyright (c) 2018-present by Michael Herwig <michael.herwig@hotmail.de>
# All rights reserved.

if(DEFINED CMAKE_XI_COMPILER_CLASSIFY_LINKAGE)
    return()
endif()
set(CMAKE_XI_COMPILER_CLASSIFY_LINKAGE TRUE)

if(DEFINED BUILD_SHARED_LIBS AND BUILD_SHARED_LIBS)
    set(XI_COMPILER_SHARED ON CACHE INTERNAL "" FORCE)
    set(XI_COMPILER_STATIC OFF CACHE INTERNAL "" FORCE)
    set(XI_COMPILER_LINK_TYPE "SHARED" CACHE INTERNAL "" FORCE)
else()
    set(XI_COMPILER_STATIC ON CACHE INTERNAL "" FORCE)
    set(XI_COMPILER_SHARED OFF CACHE INTERNAL "" FORCE)
    set(XI_COMPILER_LINK_TYPE "STATIC" CACHE INTERNAL "" FORCE)
endif()

